<?php
namespace Events;
use Doctrine\ORM\Events;
use Doctrine\Common\EventSubscriber;
use Doctrine\Common\Persistence\Event\LifecycleEventArgs;

class MyEventSubscriber implements EventSubscriber{
	
	public function getSubscribedEvents () {
		return array(
			Events::prePersist
		);
	}
	
	public function prePersist(LifecycleEventArgs $args) {
		$entity = $args->getObject();
		$entityManager = $args->getObjectManager();
		
		if($entity instanceof \Book) {
			var_dump("Pre Persist Subscriber");
		}
		
	}
}


