<?php

namespace Filters;

use Doctrine\ORM\Query\Filter\SQLFilter;
use Doctrine\ORM\Mapping\ClassMetaData;


class TitleFilter extends SQLFilter {
	
	public function addFilterConstraint (ClassMetaData $targetEntity, $targetTableAlias) {
		
		
		/// SELECT * FROM books WHERE books.title_book LIKE "%test%"
		
		if(!$targetEntity->reflClass->implementsInterface('IFilter')) {
			return "";
		}
		
		return $targetTableAlias.".title_book LIKE ". $this->getParameter('title');
		
	}
}